Package com.smartgwt.client.ai

# Class ValidateDashboardComponentDataQuestionStepResult

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.ValidateDashboardComponentDataQuestionStepResult

All Implemented Interfaces:
  `HasHandlers`

public class ValidateDashboardComponentDataQuestionStepResult extends DataClass

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidateDashboardComponentDataQuestionStepResult()`
  `ValidateDashboardComponentDataQuestionStepResult(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PaletteNode[]`
  `getNodes()`
  `static ValidateDashboardComponentDataQuestionStepResult`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `ValidateDashboardComponentDataQuestionStep`
  `getStep()`
  `Map[]`
  `getValidationErrors()`
  `null` if there were no validation errors.
  `ValidateDashboardComponentDataQuestionStepResult`
  `setNodes(PaletteNode... nodes)`
  `ValidateDashboardComponentDataQuestionStepResult`
  `setStep(ValidateDashboardComponentDataQuestionStep step)`
  `ValidateDashboardComponentDataQuestionStepResult`
  `setValidationErrors(Map... validationErrors)`
  `null` if there were no validation errors.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidateDashboardComponentDataQuestionStepResult

    public ValidateDashboardComponentDataQuestionStepResult()

  - ### ValidateDashboardComponentDataQuestionStepResult

    public ValidateDashboardComponentDataQuestionStepResult(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ValidateDashboardComponentDataQuestionStepResult getOrCreateRef(JavaScriptObject jsObj)

  - ### setNodes

    public ValidateDashboardComponentDataQuestionStepResult setNodes(PaletteNode... nodes)
    Parameters:
      `nodes` - New nodes value. Default value is *initialized by the implementation*
    Returns:
      `ValidateDashboardComponentDataQuestionStepResult` instance, for chaining setter calls

  - ### getNodes

    public PaletteNode[] getNodes()
    Returns:
      Current nodes value. Default value is *initialized by the implementation*

  - ### setStep

    public ValidateDashboardComponentDataQuestionStepResult setStep(ValidateDashboardComponentDataQuestionStep step)
    Parameters:
      `step` - New step value. Default value is *initialized by the implementation*
    Returns:
      `ValidateDashboardComponentDataQuestionStepResult` instance, for chaining setter calls

  - ### getStep

    public ValidateDashboardComponentDataQuestionStep getStep()
    Returns:
      Current step value. Default value is *initialized by the implementation*

  - ### setValidationErrors

    public ValidateDashboardComponentDataQuestionStepResult setValidationErrors(Map... validationErrors)
    `null` if there were no validation errors.
    Parameters:
      `validationErrors` - New validationErrors value. Default value is *initialized by the implementation*
    Returns:
      `ValidateDashboardComponentDataQuestionStepResult` instance, for chaining setter calls

  - ### getValidationErrors

    public Map[] getValidationErrors()
    `null` if there were no validation errors.
    Returns:
      Current validationErrors value. Default value is *initialized by the implementation*